<template>
    <div class="">
        <md-toolbar class="secondary-navbar">
            <div class="md-toolbar-row md-layout md-alignment-top-center">
                <div class="md-layout-item md-xlarge-size-60 md-large-size-60 md-medium-size-100 md-small-size-100">
                    <div class="md-toolbar-section-end">
                        <md-button href="https://blog.paralideres.org/" target="_blank" class="md-dense">Blog</md-button>
                        <!-- <md-button v-if="user" to="/in-colecciones" class="md-dense">Colecciones</md-button> -->
                        <md-button to="/colecciones" class="md-dense">Colecciones</md-button>
                        <!-- <md-button v-if="user" to="/in-recursos" class="md-dense">Recursos</md-button> -->
                        <md-button to="/recursos" class="md-dense">Recursos</md-button>
                        <span> | </span>
                        <md-button class="md-dense" @click="loginModal = true" v-if="!$auth.check()">Iniciar sesión</md-button>
                        <md-button class="md-dense" @click="registerModal = true" v-if="!$auth.check()">Registro</md-button>
                        <md-menu v-else md-size="huge" class="ml-1" md-align-trigger :md-active.sync="toggleCard">
                            <md-button md-menu-trigger md-align-trigger>
                                {{ user.username }}
                                <md-icon style="color:white">keyboard_arrow_down</md-icon>
                            </md-button>

                            <md-menu-content>
                                <div class="author-card">
                                    <md-avatar class="md-large">
                                        <img :src="user.profile.image_path" alt="Perfil" />
                                    </md-avatar>

                                    <div class="author-card-info">
                                        <span>Hola</span>
                                        <span
                                            ><strong>{{ user.username }}</strong></span
                                        >
                                        <div class="author-card-links">
                                            <a rel="noopener" @click.prevent="$auth.logout()" style="color:white"
                                                >Cerrar sessión <md-icon style="color:white">login</md-icon></a
                                            >
                                        </div>
                                    </div>
                                </div>

                                <md-menu-item to="/cuenta">
                                    <div class="menu-popover">
                                        <md-icon>account_circle</md-icon>
                                        <span>Mi cuenta</span>
                                    </div>
                                </md-menu-item>
                                <md-menu-item to="/in-recursos">
                                    <div class="menu-popover">
                                        <md-icon>format_list_bulleted</md-icon>
                                        <span>Mis recursos</span>
                                    </div>
                                </md-menu-item>
                                <md-menu-item to="/in-colecciones">
                                    <div class="menu-popover">
                                        <md-icon>collections</md-icon>
                                        <span>Mis colecciones</span>
                                    </div>
                                </md-menu-item>
                                <md-menu-item to="/publicar-recurso">
                                    <div class="menu-popover">
                                        <md-icon>campaign</md-icon>
                                        <span>Publica recurso</span>
                                    </div>
                                </md-menu-item>
                                <md-menu-item to="/publicar-coleccion">
                                    <div class="menu-popover">
                                        <md-icon>add_photo_alternate</md-icon>
                                        <span>Crear colección</span>
                                    </div>
                                </md-menu-item>
                            </md-menu-content>
                        </md-menu>
                    </div>
                </div>
            </div>
        </md-toolbar>
        <!-- <md-toolbar id="toolbar-secondary" class="md-dense secondary-navbar">
        <div class="md-toolbar-row">
            <div class="md-toolbar-section-end">
                <md-button class="md-just-icon md-simple md-toolbar-toggle">
                    <span class="icon-bar"></span>
                    <span class="icon-bar"></span>
                    <span class="icon-bar"></span>
                </md-button>

                <div class="md-collapse">
                    <md-list>
                        <md-list-item href="#dashboard">
                            <p class="">
                                Blog
                            </p>
                        </md-list-item>
                        <md-list-item to="/colecciones">
                            <p class="">
                                Colecciones
                            </p>
                        </md-list-item>
                        <md-list-item to="/recursos">
                            <p class="">
                                Recursos
                            </p>
                        </md-list-item>
                        <md-list-item class="">
                            <p class="">|</p>
                        </md-list-item>
                        <md-list-item @click="loginModal = true" v-if="!$auth.check()">

                            <p class="">Iniciar sessión</p>
                        </md-list-item>

                        <md-list-item @click="registerModal = true" v-if="!$auth.check()">

                            <p class="">Registro</p>
                        </md-list-item>

                        <md-list-item v-else>
                            <md-menu md-size="huge" md-align-trigger :md-active.sync="toggleCard">
                                <md-button md-menu-trigger md-align-trigger>
                                    {{user.username}}
                                    <md-icon>keyboard_arrow_down</md-icon>
                                </md-button>

                                <md-menu-content>
                                    <div class="author-card">
                                        <md-avatar class="md-large">
                                            <img src="https://vuematerial.io/assets/examples/avatar.jpg" alt="Marcos Moura">
                                        </md-avatar>

                                        <div class="author-card-info">
                                            <span>Hola</span>
                                            <span><strong>{{user.username}}</strong></span>
                                            <div class="author-card-links">
                                                <a rel="noopener" @click.prevent="$auth.logout()" style="color:white">Cerrar sessión
                                                    <md-icon style="color:white">login</md-icon></a>
                                            </div>
                                        </div>
                                    </div>

                                    <md-menu-item>
                                        <div class="menu-popover">
                                            <md-icon>account_circle</md-icon>
                                            <span>Mi cuenta</span>
                                        </div>
                                    </md-menu-item>
                                    <md-menu-item to="/publicar-recurso">
                                        <div class="menu-popover">
                                            <md-icon>campaign</md-icon>
                                            <span>Publica recurso</span>
                                        </div>
                                    </md-menu-item>
                                    <md-menu-item to="/publicar-coleccion">
                                        <div class="menu-popover">
                                            <md-icon>add_photo_alternate</md-icon>
                                            <span>Crear colección</span>
                                        </div>
                                    </md-menu-item>

                                </md-menu-content>
                            </md-menu>
                        </md-list-item>
                    </md-list>
                </div>
            </div>
        </div>
    </md-toolbar> -->

        <RegisterSection :showModal="registerModal" v-on:registerModalHide="registerModalHide" />
        <LoginSection :showModal="loginModal" v-on:loginModalHide="loginModalHide" />
    </div>
</template>

<script>
import RegisterSection from '../views/components/RegisterSection';
import LoginSection from '../views/components/LoginSection';
export default {
    name: 'secondary-navbar',
    components: {
        RegisterSection,
        LoginSection
    },
    data() {
        return {
            registerModal: false,
            loginModal: false,
            toggleCard: false
        };
    },
    computed: {
        user() {
            return this.$auth?.watch?.data;
        }
    },
    beforeMount() {
        // setTimeout(this.showCard, 400);
    },
    methods: {
        registerModalHide(event) {
            this.registerModal = false;
        },
        loginModalHide(event) {
            this.loginModal = false;
        },
        getClass: function(headerColor) {
            return 'md-card-header-' + headerColor + '';
        },
        toggle() {
            this.toggleCard = !this.toggleCard;
        }
    }
};
</script>

<style lang="scss" scoped>
.md-menu-content {
    max-width: none !important;
}

.menu-popover2 {
    padding: 20px 8px;
}

.author-card {
    padding: 16px 30px;
    display: flex;
    align-items: center;
    background-color: #363c44 !important; //gray-light
    color: white;
    margin-top: -8px;

    .md-avatar {
        margin-right: 16px;
    }

    .author-card-info {
        display: flex;
        flex-flow: column;
        flex: 1;
    }

    span {
        font-size: 16px;
    }

    .author-card-links {
        display: flex;

        a + a {
            margin-left: 8px;
        }
    }
}
</style>
